Subject: Re: bug#71822: Feature request: fullwidth to halfwidth

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Jun 2024 08:24:59 +0300

> From: Dan Jacobson <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 30 Jun 2024 12:04:07 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> >> Have commands that can change wide to narrow,
> >> with the same ease as M-l.
> >> E.g., change ２０９Ｍ into 209M.
> >> and another command to do the opposite.
> >> OK, I guess they are called fullwidth and halfwidth.
> 
> EZ> When would such commands be useful?
> 
> We use them all the time in Chinese,
> 請由209M號門        Ugly
> 請由２０９Ｍ號門    Pretty

That's about use of the characters, not about the use cases for the
commands you proposed.  Or maybe I don't understand the example, in
which case please elaborate.

> EZ> These characters are deliberately
> EZ> not the same, and not just different shapes of the same letters
> EZ> (unlike upper-case and lower-case letters).
> 
> $ unicode ２０９Ｍ|grep Deco
> Decomposition: <wide> 0032
> Decomposition: <wide> 0030
> Decomposition: <wide> 0039
> Decomposition: <wide> 004D

Yes, and..?

I didn't ask whether Emacs has the requisite information, I asked
about the use cases for these commands.  You presented none; instead,
you are lecturing me on basic Unicode attributes of characters and on
the reasons for having the wide ones.  That is not helpful; I already
know all that.  It definitely doesn't provide any rationale for having
such commands in Emacs.